module Wayland_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libwayland_client
const libwayland_client_path = "/usr/lib/libwayland-client.so.0"
libwayland_client_handle = C_NULL
const libwayland_client = "libwayland-client.so.0"
export libwayland_cursor
const libwayland_cursor_path = "/usr/lib/libwayland-cursor.so.0"
libwayland_cursor_handle = C_NULL
const libwayland_cursor = "libwayland-cursor.so.0"
export libwayland_egl
const libwayland_egl_path = "/usr/lib/libwayland-egl.so.1"
libwayland_egl_handle = C_NULL
const libwayland_egl = "libwayland-egl.so.1"
export libwayland_server
const libwayland_server_path = "/usr/lib/libwayland-server.so.0"
libwayland_server_handle = C_NULL
const libwayland_server = "libwayland-server.so.0"
export wayland_scanner
const wayland_scanner_path = "/usr/bin/wayland-scanner"
wayland_scanner(f::Function; kw...) = f(wayland_scanner_path)
wayland_scanner(; kw...) = Cmd([wayland_scanner_path])
function __init__()
    global libwayland_client_handle = dlopen(libwayland_client_path)
    global libwayland_cursor_handle = dlopen(libwayland_cursor_path)
    global libwayland_egl_handle = dlopen(libwayland_egl_path)
    global libwayland_server_handle = dlopen(libwayland_server_path)
end
end
